Firefox crashed after I type this URL with Chinese character and press Enter [@ @0x3c148f48 | BaseThreadStart ]

RESOLVED WORKSFORME

Status

()

Firefox
General
--
critical
RESOLVED WORKSFORME
9 years ago
7 years ago

People

(Reporter: Yhn, Unassigned)

Tracking

({crash, qawanted})

Firefox Tracking Flags

(Not tracked)

Details

(crash signature, URL)

(Reporter)

Description

9 years ago
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; zh-CN; rv:1.9.0.3) Gecko/2008092417 Firefox/3.0.3
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; zh-CN; rv:1.9.0.3) Gecko/2008092417 Firefox/3.0.3

b80f_appcompat.txt


<?xml version="1.0" encoding="UTF-16"?>
<DATABASE>
<EXE NAME="firefox.exe" FILTER="GRABMI_FILTER_PRIVACY">
    <MATCHING_FILE NAME="AccessibleMarshal.dll" SIZE="17408" CHECKSUM="0x18EA5E95" BIN_FILE_VERSION="1.9.0.3188" BIN_PRODUCT_VERSION="1.9.0.3188" PRODUCT_VERSION="1.9.0.3" FILE_DESCRIPTION="" COMPANY_NAME="Mozilla Foundation" PRODUCT_NAME="Firefox" FILE_VERSION="1.9.0.3" ORIGINAL_FILENAME="" INTERNAL_NAME="accessibility" LEGAL_COPYRIGHT="License: MPL 1.1/GPL 2.0/LGPL 2.1" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0xFBA8" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="1.9.0.3188" UPTO_BIN_PRODUCT_VERSION="1.9.0.3188" LINK_DATE="09/25/2008 01:16:39" UPTO_LINK_DATE="09/25/2008 01:16:39" VER_LANGUAGE="语言中性 [0x0]" />
    <MATCHING_FILE NAME="crashreporter.exe" SIZE="185856" CHECKSUM="0x46E96BEC" BIN_FILE_VERSION="1.9.0.3188" BIN_PRODUCT_VERSION="1.9.0.3188" PRODUCT_VERSION="1.9.0.3" FILE_DESCRIPTION="" COMPANY_NAME="Mozilla Foundation" PRODUCT_NAME="Firefox" FILE_VERSION="1.9.0.3" ORIGINAL_FILENAME="crashreporter.exe" INTERNAL_NAME="" LEGAL_COPYRIGHT="License: MPL 1.1/GPL 2.0/LGPL 2.1" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x3720D" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="1.9.0.3188" UPTO_BIN_PRODUCT_VERSION="1.9.0.3188" LINK_DATE="09/25/2008 00:20:14" UPTO_LINK_DATE="09/25/2008 00:20:14" VER_LANGUAGE="语言中性 [0x0]" />
    <MATCHING_FILE NAME="firefox.exe" SIZE="307712" CHECKSUM="0x6DF3893E" BIN_FILE_VERSION="1.9.0.3188" BIN_PRODUCT_VERSION="3.0.3.0" PRODUCT_VERSION="3.0.3" FILE_DESCRIPTION="Firefox" COMPANY_NAME="Mozilla Corporation" PRODUCT_NAME="Firefox" FILE_VERSION="1.9.0.3" ORIGINAL_FILENAME="firefox.exe" INTERNAL_NAME="Firefox" LEGAL_COPYRIGHT="©Firefox and Mozilla Developers, according to the MPL 1.1/GPL 2.0/LGPL 2.1 licenses, as applicable." VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x4B623" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="1.9.0.3188" UPTO_BIN_PRODUCT_VERSION="3.0.3.0" LINK_DATE="09/25/2008 01:14:54" UPTO_LINK_DATE="09/25/2008 01:14:54" VER_LANGUAGE="语言中性 [0x0]" />
    <MATCHING_FILE NAME="freebl3.dll" SIZE="233472" CHECKSUM="0x11A60D26" BIN_FILE_VERSION="3.12.1.0" BIN_PRODUCT_VERSION="3.12.1.0" PRODUCT_VERSION="3.12.1.0 Basic ECC" FILE_DESCRIPTION="NSS freebl Library" COMPANY_NAME="Mozilla Foundation" PRODUCT_NAME="Network Security Services" FILE_VERSION="3.12.1.0 Basic ECC" ORIGINAL_FILENAME="freebl3.dll" INTERNAL_NAME="freebl3" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x416AD" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="3.12.1.0" UPTO_BIN_PRODUCT_VERSION="3.12.1.0" LINK_DATE="09/25/2008 01:16:40" UPTO_LINK_DATE="09/25/2008 01:16:40" VER_LANGUAGE="英语(美国) [0x409]" />
    <MATCHING_FILE NAME="js3250.dll" SIZE="697344" CHECKSUM="0xCC57C63" BIN_FILE_VERSION="4.0.0.0" BIN_PRODUCT_VERSION="4.0.0.0" PRODUCT_VERSION="4.0" FILE_DESCRIPTION="Netscape 32-bit JavaScript Module" COMPANY_NAME="Netscape Communications Corporation" PRODUCT_NAME="NETSCAPE" FILE_VERSION="4.0" ORIGINAL_FILENAME="js3240.dll" INTERNAL_NAME="JS3240" LEGAL_COPYRIGHT="Copyright Netscape Communications. 1994-96" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x10004" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0xB6B37" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="4.0.0.0" UPTO_BIN_PRODUCT_VERSION="4.0.0.0" LINK_DATE="09/25/2008 01:16:39" UPTO_LINK_DATE="09/25/2008 01:16:39" VER_LANGUAGE="英语(美国) [0x409]" />
    <MATCHING_FILE NAME="mozcrt19.dll" SIZE="710144" CHECKSUM="0x96362802" BIN_FILE_VERSION="8.0.0.0" BIN_PRODUCT_VERSION="8.0.0.0" PRODUCT_VERSION="8.00.0000" FILE_DESCRIPTION="User-Generated Microsoft (R) C/C++ Runtime Library" COMPANY_NAME="Mozilla Foundation" PRODUCT_NAME="Mozilla Custom C Runtime" FILE_VERSION="8.00.0000" ORIGINAL_FILENAME="MOZCRT19.DLL" INTERNAL_NAME="MOZCRT19.DLL" LEGAL_COPYRIGHT="Copyright (C) Microsoft Corporation." VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x40004" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0xB08DC" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="8.0.0.0" UPTO_BIN_PRODUCT_VERSION="8.0.0.0" LINK_DATE="09/25/2008 01:16:38" UPTO_LINK_DATE="09/25/2008 01:16:38" VER_LANGUAGE="英语(美国) [0x409]" />
    <MATCHING_FILE NAME="nspr4.dll" SIZE="198144" CHECKSUM="0xF8959539" BIN_FILE_VERSION="4.7.1.0" BIN_PRODUCT_VERSION="4.7.1.0" PRODUCT_VERSION="4.7.1" FILE_DESCRIPTION="NSPR Library" COMPANY_NAME="Mozilla Foundation" PRODUCT_NAME="Netscape Portable Runtime" FILE_VERSION="4.7.1" ORIGINAL_FILENAME="nspr4.dll" INTERNAL_NAME="nspr4" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x333DD" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="4.7.1.0" UPTO_BIN_PRODUCT_VERSION="4.7.1.0" LINK_DATE="09/25/2008 01:16:39" UPTO_LINK_DATE="09/25/2008 01:16:39" VER_LANGUAGE="英语(美国) [0x409]" />
    <MATCHING_FILE NAME="nss3.dll" SIZE="697856" CHECKSUM="0x6BBF49D1" BIN_FILE_VERSION="3.12.1.0" BIN_PRODUCT_VERSION="3.12.1.0" PRODUCT_VERSION="3.12.1.1 Basic ECC" FILE_DESCRIPTION="NSS Base Library" COMPANY_NAME="Mozilla Foundation" PRODUCT_NAME="Network Security Services" FILE_VERSION="3.12.1.1 Basic ECC" ORIGINAL_FILENAME="nss3.dll" INTERNAL_NAME="nss3" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0xABD4D" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="3.12.1.0" UPTO_BIN_PRODUCT_VERSION="3.12.1.0" LINK_DATE="09/25/2008 01:16:39" UPTO_LINK_DATE="09/25/2008 01:16:39" VER_LANGUAGE="英语(美国) [0x409]" />
    <MATCHING_FILE NAME="nssckbi.dll" SIZE="304640" CHECKSUM="0x84483899" BIN_FILE_VERSION="1.71.0.0" BIN_PRODUCT_VERSION="1.71.0.0" PRODUCT_VERSION="1.71" FILE_DESCRIPTION="NSS Builtin Trusted Root CAs" COMPANY_NAME="Mozilla Foundation" PRODUCT_NAME="Network Security Services" FILE_VERSION="1.71" ORIGINAL_FILENAME="nssckbi.dll" INTERNAL_NAME="nssckbi" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x4C5FA" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="1.71.0.0" UPTO_BIN_PRODUCT_VERSION="1.71.0.0" LINK_DATE="09/25/2008 01:16:39" UPTO_LINK_DATE="09/25/2008 01:16:39" VER_LANGUAGE="英语(美国) [0x409]" />
    <MATCHING_FILE NAME="nssdbm3.dll" SIZE="103936" CHECKSUM="0xBE41C212" BIN_FILE_VERSION="3.12.1.0" BIN_PRODUCT_VERSION="3.12.1.0" PRODUCT_VERSION="3.12.1.0 Basic ECC" FILE_DESCRIPTION="Legacy Database Driver" COMPANY_NAME="Mozilla Foundation" PRODUCT_NAME="Network Security Services" FILE_VERSION="3.12.1.0 Basic ECC" ORIGINAL_FILENAME="nssdbm3.dll" INTERNAL_NAME="nssdbm3" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x1B389" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="3.12.1.0" UPTO_BIN_PRODUCT_VERSION="3.12.1.0" LINK_DATE="09/25/2008 01:16:39" UPTO_LINK_DATE="09/25/2008 01:16:39" VER_LANGUAGE="英语(美国) [0x409]" />
    <MATCHING_FILE NAME="nssutil3.dll" SIZE="87552" CHECKSUM="0x35454D7F" BIN_FILE_VERSION="3.12.1.0" BIN_PRODUCT_VERSION="3.12.1.0" PRODUCT_VERSION="3.12.1.1 Basic ECC" FILE_DESCRIPTION="NSS Utility Library" COMPANY_NAME="Mozilla Foundation" PRODUCT_NAME="Network Security Services" FILE_VERSION="3.12.1.1 Basic ECC" ORIGINAL_FILENAME="nssutil3.dll" INTERNAL_NAME="nssutil3" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x17FAA" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="3.12.1.0" UPTO_BIN_PRODUCT_VERSION="3.12.1.0" LINK_DATE="09/25/2008 01:16:40" UPTO_LINK_DATE="09/25/2008 01:16:40" VER_LANGUAGE="英语(美国) [0x409]" />
    <MATCHING_FILE NAME="plc4.dll" SIZE="20480" CHECKSUM="0xD717709B" BIN_FILE_VERSION="4.7.1.0" BIN_PRODUCT_VERSION="4.7.1.0" PRODUCT_VERSION="4.7.1" FILE_DESCRIPTION="PLC Library" COMPANY_NAME="Mozilla Foundation" PRODUCT_NAME="Netscape Portable Runtime" FILE_VERSION="4.7.1" ORIGINAL_FILENAME="plc4.dll" INTERNAL_NAME="plc4" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0xE26C" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="4.7.1.0" UPTO_BIN_PRODUCT_VERSION="4.7.1.0" LINK_DATE="09/25/2008 01:16:39" UPTO_LINK_DATE="09/25/2008 01:16:39" VER_LANGUAGE="英语(美国) [0x409]" />
    <MATCHING_FILE NAME="plds4.dll" SIZE="17408" CHECKSUM="0x91F58EC7" BIN_FILE_VERSION="4.7.1.0" BIN_PRODUCT_VERSION="4.7.1.0" PRODUCT_VERSION="4.7.1" FILE_DESCRIPTION="PLDS Library" COMPANY_NAME="Mozilla Foundation" PRODUCT_NAME="Netscape Portable Runtime" FILE_VERSION="4.7.1" ORIGINAL_FILENAME="plds4.dll" INTERNAL_NAME="plds4" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0xD6DA" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="4.7.1.0" UPTO_BIN_PRODUCT_VERSION="4.7.1.0" LINK_DATE="09/25/2008 01:16:39" UPTO_LINK_DATE="09/25/2008 01:16:39" VER_LANGUAGE="英语(美国) [0x409]" />
    <MATCHING_FILE NAME="smime3.dll" SIZE="103936" CHECKSUM="0x860109D5" BIN_FILE_VERSION="3.12.1.0" BIN_PRODUCT_VERSION="3.12.1.0" PRODUCT_VERSION="3.12.1.1 Basic ECC" FILE_DESCRIPTION="NSS S/MIME Library" COMPANY_NAME="Mozilla Foundation" PRODUCT_NAME="Network Security Services" FILE_VERSION="3.12.1.1 Basic ECC" ORIGINAL_FILENAME="smime3.dll" INTERNAL_NAME="smime3" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x1BF53" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="3.12.1.0" UPTO_BIN_PRODUCT_VERSION="3.12.1.0" LINK_DATE="09/25/2008 01:16:39" UPTO_LINK_DATE="09/25/2008 01:16:39" VER_LANGUAGE="英语(美国) [0x409]" />
    <MATCHING_FILE NAME="softokn3.dll" SIZE="151552" CHECKSUM="0x6861F31E" BIN_FILE_VERSION="3.12.1.0" BIN_PRODUCT_VERSION="3.12.1.0" PRODUCT_VERSION="3.12.1.0 Basic ECC" FILE_DESCRIPTION="NSS PKCS #11 Library" COMPANY_NAME="Mozilla Foundation" PRODUCT_NAME="Network Security Services" FILE_VERSION="3.12.1.0 Basic ECC" ORIGINAL_FILENAME="softokn3.dll" INTERNAL_NAME="softokn3" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x32C75" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="3.12.1.0" UPTO_BIN_PRODUCT_VERSION="3.12.1.0" LINK_DATE="09/25/2008 01:16:39" UPTO_LINK_DATE="09/25/2008 01:16:39" VER_LANGUAGE="英语(美国) [0x409]" />
    <MATCHING_FILE NAME="sqlite3.dll" SIZE="395776" CHECKSUM="0x2CE13E49" BIN_FILE_VERSION="3.5.9.0" BIN_PRODUCT_VERSION="3.5.9.0" PRODUCT_VERSION="3.5.9" FILE_DESCRIPTION="SQLite Database Library" COMPANY_NAME="sqlite.org" PRODUCT_NAME="SQLite Database Library" FILE_VERSION="3.5.9" ORIGINAL_FILENAME="sqlite3.dll" INTERNAL_NAME="sqlite3" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x40004" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x6E5D1" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="3.5.9.0" UPTO_BIN_PRODUCT_VERSION="3.5.9.0" LINK_DATE="09/25/2008 01:16:39" UPTO_LINK_DATE="09/25/2008 01:16:39" VER_LANGUAGE="英语(美国) [0x409]" />
    <MATCHING_FILE NAME="ssl3.dll" SIZE="136704" CHECKSUM="0x83ACFC95" BIN_FILE_VERSION="3.12.1.0" BIN_PRODUCT_VERSION="3.12.1.0" PRODUCT_VERSION="3.12.1.1 Basic ECC" FILE_DESCRIPTION="NSS SSL Library" COMPANY_NAME="Mozilla Foundation" PRODUCT_NAME="Network Security Services" FILE_VERSION="3.12.1.1 Basic ECC" ORIGINAL_FILENAME="ssl3.dll" INTERNAL_NAME="ssl3" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x2A3E3" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="3.12.1.0" UPTO_BIN_PRODUCT_VERSION="3.12.1.0" LINK_DATE="09/25/2008 01:16:39" UPTO_LINK_DATE="09/25/2008 01:16:39" VER_LANGUAGE="英语(美国) [0x409]" />
    <MATCHING_FILE NAME="updater.exe" SIZE="242176" CHECKSUM="0xEDBAD3E5" BIN_FILE_VERSION="1.9.0.3188" BIN_PRODUCT_VERSION="1.9.0.3188" PRODUCT_VERSION="1.9.0.3" FILE_DESCRIPTION="Firefox Software Updater" COMPANY_NAME="Mozilla Foundation" PRODUCT_NAME="Firefox" FILE_VERSION="1.9.0.3" ORIGINAL_FILENAME="updater.exe" INTERNAL_NAME="" LEGAL_COPYRIGHT="License: MPL 1.1/GPL 2.0/LGPL 2.1" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x3F1FD" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="1.9.0.3188" UPTO_BIN_PRODUCT_VERSION="1.9.0.3188" LINK_DATE="09/25/2008 00:20:27" UPTO_LINK_DATE="09/25/2008 00:20:27" VER_LANGUAGE="语言中性 [0x0]" />
    <MATCHING_FILE NAME="xpcom.dll" SIZE="17920" CHECKSUM="0xC46EAC9C" BIN_FILE_VERSION="1.9.0.3188" BIN_PRODUCT_VERSION="1.9.0.3188" PRODUCT_VERSION="1.9.0.3" FILE_DESCRIPTION="" COMPANY_NAME="Mozilla Foundation" PRODUCT_NAME="Firefox" FILE_VERSION="1.9.0.3" ORIGINAL_FILENAME="" INTERNAL_NAME="xpcom" LEGAL_COPYRIGHT="License: MPL 1.1/GPL 2.0/LGPL 2.1" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0xE9E9" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="1.9.0.3188" UPTO_BIN_PRODUCT_VERSION="1.9.0.3188" LINK_DATE="09/25/2008 01:16:40" UPTO_LINK_DATE="09/25/2008 01:16:40" VER_LANGUAGE="语言中性 [0x0]" />
    <MATCHING_FILE NAME="xul.dll" SIZE="9728512" CHECKSUM="0x23F53655" BIN_FILE_VERSION="1.9.0.3188" BIN_PRODUCT_VERSION="1.9.0.3188" PRODUCT_VERSION="1.9.0.3" FILE_DESCRIPTION="" COMPANY_NAME="Mozilla Foundation" PRODUCT_NAME="Firefox" FILE_VERSION="1.9.0.3" ORIGINAL_FILENAME="" INTERNAL_NAME="libxul" LEGAL_COPYRIGHT="License: MPL 1.1/GPL 2.0/LGPL 2.1" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x9565C9" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="1.9.0.3188" UPTO_BIN_PRODUCT_VERSION="1.9.0.3188" LINK_DATE="09/25/2008 01:16:40" UPTO_LINK_DATE="09/25/2008 01:16:40" VER_LANGUAGE="语言中性 [0x0]" />
    <MATCHING_FILE NAME="components\browserdirprovider.dll" SIZE="23040" CHECKSUM="0xC056399D" BIN_FILE_VERSION="1.9.0.3188" BIN_PRODUCT_VERSION="1.9.0.3188" PRODUCT_VERSION="1.9.0.3" FILE_DESCRIPTION="" COMPANY_NAME="Mozilla Foundation" PRODUCT_NAME="Firefox" FILE_VERSION="1.9.0.3" ORIGINAL_FILENAME="" INTERNAL_NAME="browsercomps" LEGAL_COPYRIGHT="License: MPL 1.1/GPL 2.0/LGPL 2.1" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x95EE" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="1.9.0.3188" UPTO_BIN_PRODUCT_VERSION="1.9.0.3188" LINK_DATE="09/25/2008 01:16:39" UPTO_LINK_DATE="09/25/2008 01:16:39" VER_LANGUAGE="语言中性 [0x0]" />
    <MATCHING_FILE NAME="components\brwsrcmp.dll" SIZE="134656" CHECKSUM="0x76EA8F1A" BIN_FILE_VERSION="1.9.0.3188" BIN_PRODUCT_VERSION="1.9.0.3188" PRODUCT_VERSION="1.9.0.3" FILE_DESCRIPTION="" COMPANY_NAME="Mozilla Foundation" PRODUCT_NAME="Firefox" FILE_VERSION="1.9.0.3" ORIGINAL_FILENAME="" INTERNAL_NAME="browsercomps" LEGAL_COPYRIGHT="License: MPL 1.1/GPL 2.0/LGPL 2.1" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x2E0A6" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="1.9.0.3188" UPTO_BIN_PRODUCT_VERSION="1.9.0.3188" LINK_DATE="09/25/2008 01:16:39" UPTO_LINK_DATE="09/25/2008 01:16:39" VER_LANGUAGE="语言中性 [0x0]" />
    <MATCHING_FILE NAME="plugins\npnul32.dll" SIZE="65536" CHECKSUM="0xB66B644E" BIN_FILE_VERSION="1.0.0.15" BIN_PRODUCT_VERSION="1.0.0.15" PRODUCT_VERSION="1, 0, 0, 15" FILE_DESCRIPTION="Default Plug-in" COMPANY_NAME="mozilla.org" PRODUCT_NAME="Mozilla Default Plug-in" FILE_VERSION="1, 0, 0, 15" ORIGINAL_FILENAME="NPNUL32.DLL" INTERNAL_NAME="DEFPLUGIN" LEGAL_COPYRIGHT="Copyright © 1995-2000" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x1231F" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="1.0.0.15" UPTO_BIN_PRODUCT_VERSION="1.0.0.15" LINK_DATE="09/25/2008 01:16:39" UPTO_LINK_DATE="09/25/2008 01:16:39" VER_LANGUAGE="英语(美国) [0x409]" />
    <MATCHING_FILE NAME="plugins\NPSWF32.dll" SIZE="3261824" CHECKSUM="0xFC0B5A6B" BIN_FILE_VERSION="9.0.124.0" BIN_PRODUCT_VERSION="9.0.124.0" PRODUCT_VERSION="9,0,124,0" FILE_DESCRIPTION="Shockwave Flash 9.0  r124" COMPANY_NAME="Adobe Systems, Inc." PRODUCT_NAME="Shockwave Flash" FILE_VERSION="9,0,124,0" ORIGINAL_FILENAME="npswf32.dll" INTERNAL_NAME="Adobe Flash Player 9.0" LEGAL_COPYRIGHT="Adobe® Flash® Player. Copyright © 1996-2007 Adobe Systems Incorporated. All Rights Reserved. Protected by U.S. Patent 6,879,327; Patents Pending in the United States and other countries. Adobe and Flash are either trademarks or registered trademarks in the United States and/or other countries." VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x32B6AA" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="9.0.124.0" UPTO_BIN_PRODUCT_VERSION="9.0.124.0" LINK_DATE="03/25/2008 03:07:16" UPTO_LINK_DATE="03/25/2008 03:07:16" VER_LANGUAGE="英语(美国) [0x409]" />
    <MATCHING_FILE NAME="plugins\NPSWF32_FlashUtil.exe" SIZE="218496" CHECKSUM="0xF2928B57" BIN_FILE_VERSION="9.0.124.0" BIN_PRODUCT_VERSION="9.0.124.0" PRODUCT_VERSION="9,0,124,0" FILE_DESCRIPTION="Adobe Flash Player Helper 9.0  r124" COMPANY_NAME="Adobe Systems, Inc." PRODUCT_NAME="Flash Player Helper" FILE_VERSION="9,0,124,0" ORIGINAL_FILENAME="FlashBroker.exe" INTERNAL_NAME="Adobe Flash Player Helper 9.0" LEGAL_COPYRIGHT="Copyright © 1996-2007 Adobe, Inc." VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x4390C" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="9.0.124.0" UPTO_BIN_PRODUCT_VERSION="9.0.124.0" LINK_DATE="03/25/2008 02:48:44" UPTO_LINK_DATE="03/25/2008 02:48:44" VER_LANGUAGE="英语(美国) [0x409]" />
    <MATCHING_FILE NAME="uninstall\helper.exe" SIZE="508544" CHECKSUM="0x71DFB871" BIN_FILE_VERSION="1.0.0.0" BIN_PRODUCT_VERSION="1.0.0.0" PRODUCT_VERSION="3.0.3" FILE_DESCRIPTION="Firefox Helper" COMPANY_NAME="Mozilla Corporation" PRODUCT_NAME="Firefox" FILE_VERSION="3.0.3" ORIGINAL_FILENAME="helper.exe" LEGAL_COPYRIGHT="Mozilla Corporation" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x1" MODULE_TYPE="WIN32" PE_CHECKSUM="0x818A4" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="1.0.0.0" UPTO_BIN_PRODUCT_VERSION="1.0.0.0" LINK_DATE="11/27/2006 17:36:12" UPTO_LINK_DATE="11/27/2006 17:36:12" VER_LANGUAGE="英语(美国) [0x409]" />
</EXE>
<EXE NAME="MSVCR80.dll" FILTER="GRABMI_FILTER_THISFILEONLY">
    <MATCHING_FILE NAME="msvcr80.dll" SIZE="626688" CHECKSUM="0x6923D5B9" BIN_FILE_VERSION="8.0.50727.762" BIN_PRODUCT_VERSION="8.0.50727.762" PRODUCT_VERSION="8.00.50727.762" FILE_DESCRIPTION="Microsoft® C Runtime Library" COMPANY_NAME="Microsoft Corporation" PRODUCT_NAME="Microsoft® Visual Studio® 2005" FILE_VERSION="8.00.50727.762" ORIGINAL_FILENAME="MSVCR80.DLL" INTERNAL_NAME="MSVCR80.DLL" LEGAL_COPYRIGHT="© Microsoft Corporation.  All rights reserved." VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x40004" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0xA1D19" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="8.0.50727.762" UPTO_BIN_PRODUCT_VERSION="8.0.50727.762" LINK_DATE="12/02/2006 06:50:32" UPTO_LINK_DATE="12/02/2006 06:50:32" VER_LANGUAGE="英语(美国) [0x409]" />
</EXE>
<EXE NAME="kernel32.dll" FILTER="GRABMI_FILTER_THISFILEONLY">
    <MATCHING_FILE NAME="kernel32.dll" SIZE="1145344" CHECKSUM="0x1F97FE59" BIN_FILE_VERSION="5.1.2600.3119" BIN_PRODUCT_VERSION="5.1.2600.3119" PRODUCT_VERSION="5.1.2600.3119" FILE_DESCRIPTION="Windows NT BASE API Client DLL" COMPANY_NAME="Microsoft Corporation" PRODUCT_NAME="Microsoft(R) Windows(R) Operating System" FILE_VERSION="5.1.2600.3119 (xpsp_sp2_gdr.070416-1301)" ORIGINAL_FILENAME="kernel32" INTERNAL_NAME="kernel32" LEGAL_COPYRIGHT="(C) Microsoft Corporation. All rights reserved." VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x40004" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x120217" LINKER_VERSION="0x50001" UPTO_BIN_FILE_VERSION="5.1.2600.3119" UPTO_BIN_PRODUCT_VERSION="5.1.2600.3119" LINK_DATE="04/16/2007 15:54:26" UPTO_LINK_DATE="04/16/2007 15:54:26" VER_LANGUAGE="中文(中国) [0x804]" />
</EXE>
</DATABASE>


Reproducible: Always

Steps to Reproduce:
1.Type "http://en.wikipedia.org/wiki/User talk:虞海" in address bar.
2.Press Enter key
Actual Results:  
Microsoft Crash report sent

Expected Results:  
Do not crash.

N/A
Do you have breakpad ids of the crash?
Type about:crashes in the url bar to see the list of crash id's and then add a couple of those in this bug.
http://kb.mozillazine.org/Breakpad
(Reporter)

Comment 2

9 years ago
Your report is being processed

http://crash-stats.mozilla.com/report/index/4711f6bd-9dcc-11dd-9e61-001a4bd43ed6?p=1

But it seems it's never finished. It often refresh itself.
It's there now, unfortunately, it's not a useful stacktrace:
0  	 	@0x3c148f48  	
1 	kernel32.dll 	BaseThreadStart

Perhaps other breakpad ids give better results?
Group: core-security
(Reporter)

Comment 4

9 years ago
It's the only one, unfortunately.

Comment 5

9 years ago
tried a bit of testing but unable to reproduce with 

Build identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.0.1) Gecko/2008070208 Firefox/3.0.1

and copy and paste of 

http://en.wikipedia.org/wiki/User talk:虞海

into the url bar.   wonder if this helps us to figure out if it is:

1) long standing, but just hard to reproduce
2) regression since 3.0.1
3) maybe closer to IME input of the characters than code that might not get executed when you copy and paste.

I guess these are the next questions to try and get answers to.

Comment 6

9 years ago
chofmann: which antivirus are you using? the reporter is using AVG.

i'd like to know which ime the reporter is using, my guess is a Pinyin Chinese related one, but i'd like to know which. and of course whether disabling either AVG or your IME causes the crash to go away.
(Reporter)

Comment 7

9 years ago
I use Microsoft Pinyin(http://en.wikipedia.org/wiki/Microsoft_Pinyin_IME) and AVG Free 8, also 360Safe(www.360.cn). And I think it's probably unrelated to the IME because Firefox doesn't crash before I press Enter-key.
(Reporter)

Comment 8

9 years ago
I closed them all, and paste the URL to test again. The problem still exists. 

Firefox does NOT generate any crash report because before the crash reporting system do anything, the Microsoft Crash Reporting System is launched. I think the problem might be related to my Firefox-profile.

Comment 9

9 years ago
http://developer.mozilla.org/en/docs/How_to_get_a_stacktrace_with_WinDbg
(Reporter)

Comment 10

9 years ago
SRV*C:\FxSymbolTemp\*http://msdl.microsoft.com/download/symbols;SRV*f:\localsymbols\*http://symbols.mozilla.org/firefox


.sympath SRV*C:\FxSymbolTemp*http://symbols.mozilla.org/firefox
.symfix+ C:\FxSymbolTemp
.reload /f

---------------------------
---------------------------

Reloading current modules
.*** ERROR: Module load completed but symbols could not be loaded for firefox.exe
.*** ERROR: Symbol file could not be found.  Defaulted to export symbols for D:\Softwares\Mozilla\Firefox 3.0\MOZCRT19.dll - 
.*** ERROR: Symbol file could not be found.  Defaulted to export symbols for D:\Softwares\Mozilla\Firefox 3.0\nspr4.dll - 
.*** ERROR: Symbol file could not be found.  Defaulted to export symbols for D:\Softwares\Mozilla\Firefox 3.0\plds4.dll - 
.*** ERROR: Symbol file could not be found.  Defaulted to export symbols for D:\Softwares\Mozilla\Firefox 3.0\plc4.dll - 
.*** ERROR: Symbol file could not be found.  Defaulted to export symbols for D:\Softwares\Mozilla\Firefox 3.0\js3250.dll - 
.*** ERROR: Symbol file could not be found.  Defaulted to export symbols for D:\Softwares\Mozilla\Firefox 3.0\sqlite3.dll - 
.*** ERROR: Symbol file could not be found.  Defaulted to export symbols for D:\Softwares\Mozilla\Firefox 3.0\nss3.dll - 
.*** ERROR: Symbol file could not be found.  Defaulted to export symbols for D:\Softwares\Mozilla\Firefox 3.0\nssutil3.dll - 
.*** ERROR: Symbol file could not be found.  Defaulted to export symbols for D:\Softwares\Mozilla\Firefox 3.0\ssl3.dll - 
.*** ERROR: Symbol file could not be found.  Defaulted to export symbols for D:\Softwares\Mozilla\Firefox 3.0\smime3.dll - 
.*** ERROR: Symbol file could not be found.  Defaulted to export symbols for D:\Softwares\Mozilla\Firefox 3.0\xul.dll - 
.*** ERROR: Symbol file could not be found.  Defaulted to export symbols for D:\Softwares\Mozilla\Firefox 3.0\xpcom.dll - 
.*** ERROR: Symbol file could not be found.  Defaulted to export symbols for C:\WINDOWS\system32\USP10.dll - 
.*** ERROR: Symbol file could not be found.  Defaulted to export symbols for C:\WINDOWS\system32\WS2HELP.dll - 
.*** ERROR: Symbol file could not be found.  Defaulted to export symbols for C:\WINDOWS\system32\WS2_32.dll - 
.*** ERROR: Symbol file could not be found.  Defaulted to export symbols for C:\WINDOWS\system32\WSOCK32.dll - 
.*** ERROR: Symbol file could not be found.  Defaulted to export symbols for C:\WINDOWS\system32\WINSPOOL.DRV - 
.*** ERROR: Symbol file could not be found.  Defaulted to export symbols for C:\WINDOWS\system32\MSIMG32.dll - 
.*** ERROR: Symbol file could not be found.  Defaulted to export symbols for C:\WINDOWS\system32\IMM32.dll - 
.*** ERROR: Symbol file could not be found.  Defaulted to export symbols for C:\WINDOWS\system32\COMDLG32.dll - 
.*** ERROR: Symbol file could not be found.  Defaulted to export symbols for C:\WINDOWS\system32\ole32.dll - 
.*** ERROR: Symbol file could not be found.  Defaulted to export symbols for C:\WINDOWS\system32\WINMM.dll - 
.*** ERROR: Symbol file could not be found.  Defaulted to export symbols for C:\WINDOWS\system32\OLEAUT32.dll - 
.*** ERROR: Symbol file could not be found.  Defaulted to export symbols for C:\WINDOWS\WinSxS\x86_Microsoft.Windows.Common-Controls_6595b64144ccf1df_6.0.2600.2982_x-ww_ac3f9c03\COMCTL32.dll - 
.*** ERROR: Symbol file could not be found.  Defaulted to export symbols for C:\WINDOWS\system32\VERSION.dll - 
.*** ERROR: Symbol file could not be found.  Defaulted to export symbols for C:\WINDOWS\system32\msvcrt.dll - 
.*** ERROR: Symbol file could not be found.  Defaulted to export symbols for C:\WINDOWS\system32\USER32.dll - 
.*** ERROR: Symbol file could not be found.  Defaulted to export symbols for C:\WINDOWS\system32\ADVAPI32.dll - 
.*** ERROR: Symbol file could not be found.  Defaulted to export symbols for C:\WINDOWS\system32\RPCRT4.dll - 
.*** ERROR: Symbol file could not be found.  Defaulted to export symbols for C:\WINDOWS\system32\GDI32.dll - 
.*** ERROR: Symbol file could not be found.  Defaulted to export symbols for C:\WINDOWS\system32\SHLWAPI.dll - 
.*** ERROR: Symbol file could not be found.  Defaulted to export symbols for C:\WINDOWS\system32\Secur32.dll - 
.*** ERROR: Symbol file could not be found.  Defaulted to export symbols for C:\WINDOWS\system32\kernel32.dll - 
.*** ERROR: Symbol file could not be found.  Defaulted to export symbols for ntdll.dll - 
.*** ERROR: Symbol file could not be found.  Defaulted to export symbols for C:\WINDOWS\system32\SHELL32.dll - 


----------------------------------------------

Debug -> Go

-------------------------------------------------

0:000> g
ModLoad: 5cc30000 5cc56000   C:\WINDOWS\system32\ShimEng.dll
ModLoad: 62c20000 62c29000   C:\WINDOWS\system32\LPK.DLL
ModLoad: 6bd00000 6bd0d000   C:\WINDOWS\system32\SYNCOR11.DLL
ModLoad: 68d60000 68e01000   C:\WINDOWS\system32\dbghelp.dll
ModLoad: 5adc0000 5adf7000   C:\WINDOWS\system32\uxtheme.dll
ModLoad: 10000000 10029000   D:\Softwares\360Safe\safemon\safemon.dll
ModLoad: 76bc0000 76bcb000   C:\WINDOWS\system32\PSAPI.DLL
ModLoad: 74680000 746cb000   C:\WINDOWS\system32\MSCTF.dll
ModLoad: 76060000 761b6000   C:\WINDOWS\system32\SETUPAPI.dll
ModLoad: 76d70000 76d92000   C:\WINDOWS\system32\apphelp.dll
ModLoad: 73640000 7366e000   C:\WINDOWS\system32\msctfime.ime
ModLoad: 76fa0000 7701f000   C:\WINDOWS\system32\CLBCATQ.DLL
ModLoad: 77020000 770ba000   C:\WINDOWS\system32\COMRes.dll
ModLoad: 601b0000 601b8000   D:\Softwares\Mozilla\Firefox 3.0\components\browserdirprovider.dll
ModLoad: 719c0000 719fe000   C:\WINDOWS\system32\mswsock.dll
ModLoad: 60fd0000 61025000   C:\WINDOWS\system32\hnetcfg.dll
ModLoad: 71a00000 71a08000   C:\WINDOWS\System32\wshtcpip.dll
ModLoad: 76d30000 76d48000   C:\WINDOWS\system32\iphlpapi.dll
ModLoad: 76ef0000 76f17000   C:\WINDOWS\system32\DNSAPI.dll
ModLoad: 76f80000 76f88000   C:\WINDOWS\System32\winrnr.dll
ModLoad: 76f30000 76f5c000   C:\WINDOWS\system32\WLDAP32.dll
ModLoad: 16080000 16099000   D:\Softwares\Bonjour\mdnsNSP.dll
ModLoad: 01110000 0111d000   H:\Library\Settings\Mozilla\Firefox\Profiles\My Favorite Settings\extensions\{3112ca9c-de6d-4884-a869-9855de68056c}\components\metricsloader.dll
ModLoad: 01130000 0116f000   H:\Library\Settings\Mozilla\Firefox\Profiles\My Favorite Settings\extensions\{3112ca9c-de6d-4884-a869-9855de68056c}\libraries\metrics-ff3.dll
ModLoad: 01180000 0118d000   H:\Library\Settings\Mozilla\Firefox\Profiles\My Favorite Settings\extensions\{3112ca9c-de6d-4884-a869-9855de68056c}\components\googletoolbarloader.dll
ModLoad: 013c0000 013fe000   H:\Library\Settings\Mozilla\Firefox\Profiles\My Favorite Settings\extensions\{3112ca9c-de6d-4884-a869-9855de68056c}\libraries\googletoolbar-ff3.dll
ModLoad: 76680000 76722000   C:\WINDOWS\system32\WININET.dll
ModLoad: 765e0000 76672000   C:\WINDOWS\system32\CRYPT32.dll
ModLoad: 76db0000 76dc2000   C:\WINDOWS\system32\MSASN1.dll
ModLoad: 7c9c0000 7cc7e000   C:\WINDOWS\system32\msi.dll
ModLoad: 602f0000 60315000   D:\Softwares\Mozilla\Firefox 3.0\softokn3.dll
ModLoad: 60320000 60338000   D:\Softwares\Mozilla\Firefox 3.0\nssdbm3.dll
ModLoad: 60450000 60489000   D:\Softwares\Mozilla\Firefox 3.0\freebl3.dll
ModLoad: 602a0000 602e9000   D:\Softwares\Mozilla\Firefox 3.0\nssckbi.dll
ModLoad: 20000000 20549000   C:\WINDOWS\system32\xpsp2res.dll
ModLoad: 601c0000 601e3000   D:\Softwares\Mozilla\Firefox 3.0\components\brwsrcmp.dll
ModLoad: 02ca0000 02d07000   D:\Softwares\Grisoft\AVG Anti-Virus Free 8\Firefox\components\avgssff.dll
ModLoad: 7c420000 7c4a7000   C:\WINDOWS\WinSxS\x86_Microsoft.VC80.CRT_1fc8b3b9a1e18e3b_8.0.50727.762_x-ww_6b128700\MSVCP80.dll
ModLoad: 78130000 781cb000   C:\WINDOWS\WinSxS\x86_Microsoft.VC80.CRT_1fc8b3b9a1e18e3b_8.0.50727.762_x-ww_6b128700\MSVCR80.dll
ModLoad: 759d0000 75a7e000   C:\WINDOWS\system32\USERENV.dll
ModLoad: 02e30000 02e7b000   D:\Softwares\Grisoft\AVG Anti-Virus Free 8\avgxpl.dll
ModLoad: 02e90000 02f16000   D:\Softwares\Grisoft\AVG Anti-Virus Free 8\avgapix.dll
ModLoad: 02f30000 02fbb000   D:\Softwares\Grisoft\AVG Anti-Virus Free 8\avgcfgx.dll
ModLoad: 02fd0000 02ff6000   D:\Softwares\Grisoft\AVG Anti-Virus Free 8\avglogx.dll
ModLoad: 03010000 03038000   D:\Softwares\Grisoft\AVG Anti-Virus Free 8\avglngx.dll
ModLoad: 03250000 0329a000   D:\Softwares\Grisoft\AVG Anti-Virus Free 8\avgscanx.dll
ModLoad: 032b0000 0361f000   D:\Softwares\Grisoft\AVG Anti-Virus Free 8\avgcorex.dll
ModLoad: 06c40000 06c52000   D:\Softwares\Grisoft\AVG Anti-Virus Free 8\avgcrlpx.dll
ModLoad: 06c70000 06ccb000   D:\Softwares\Grisoft\AVG Anti-Virus Free 8\avgsrmx.dll
ModLoad: 06ce0000 06d2e000   D:\Softwares\Grisoft\AVG Anti-Virus Free 8\avgvvx.dll
ModLoad: 06d40000 06d88000   D:\Softwares\Grisoft\AVG Anti-Virus Free 8\avgmvflx.dll
ModLoad: 76f90000 76f96000   C:\WINDOWS\system32\rasadhlp.dll
ModLoad: 7e550000 7e6bf000   C:\WINDOWS\system32\shdocvw.dll
ModLoad: 75430000 754a1000   C:\WINDOWS\system32\CRYPTUI.dll
ModLoad: 76c00000 76c2e000   C:\WINDOWS\system32\WINTRUST.dll
ModLoad: 76c60000 76c88000   C:\WINDOWS\system32\IMAGEHLP.dll
ModLoad: 5fdd0000 5fe24000   C:\WINDOWS\system32\NETAPI32.dll
ModLoad: 74d90000 74dfc000   C:\WINDOWS\system32\RichEd20.dll
ModLoad: 3c3b0000 3c413000   C:\PROGRA~1\COMMON~1\MICROS~1\IME12\IMESC\IMSCTIP.DLL
ModLoad: 3bf20000 3bfc5000   C:\PROGRA~1\COMMON~1\MICROS~1\IME12\SHARED\IMETIP.DLL
ModLoad: 3c140000 3c158000   C:\PROGRA~1\COMMON~1\MICROS~1\IME12\SHARED\IMECFM.DLL
ModLoad: 3c2c0000 3c3a4000   C:\PROGRA~1\COMMON~1\MICROS~1\IME12\IMESC\IMSCCORE.DLL
ModLoad: 3c290000 3c2b6000   C:\PROGRA~1\COMMON~1\MICROS~1\IME12\IMESC\IMSCCFG.DLL
ModLoad: 081c0000 081c2000   C:\Program Files\Common Files\Microsoft Shared\INK\PENCHS.DLL
ModLoad: 3c540000 3c54a000   C:\Program Files\Common Files\Microsoft Shared\ime12\Imesc\PMIGRATE.DLL
ModLoad: 3c0e0000 3c122000   C:\PROGRA~1\COMMON~1\MICROS~1\IME12\SHARED\IMELM.DLL
ModLoad: 3c140000 3c158000   C:\PROGRA~1\COMMON~1\MICROS~1\IME12\SHARED\IMECFM.DLL
ModLoad: 3c540000 3c54a000   C:\Program Files\Common Files\Microsoft Shared\ime12\Imesc\PMIGRATE.DLL
ModLoad: 3bff0000 3c0b2000   C:\PROGRA~1\COMMON~1\MICROS~1\IME12\SHARED\MSCAND20.DLL
ModLoad: 74cf0000 74d81000   C:\WINDOWS\System32\mlang.dll

-----------------------------------------------------

Make Error

-----------------------------------------------------



eax=7ffdc000 ebx=00000000 ecx=0013cc98 edx=7c92eb94 esi=00000001 edi=077614f0
eip=7c92eb94 esp=0013d330 ebp=0013d340 iopl=0         nv up ei ng nz na pe nc
cs=001b  ss=0023  ds=0023  es=0023  fs=003b  gs=0000             efl=00000286
ntdll!KiFastSystemCallRet:
7c92eb94 c3              ret

----------------------------------------------

Debug -> Break

Enter kp

-------------------------------------------------

0:000> kp
*** ERROR: Symbol file could not be found.  Defaulted to export symbols for C:\WINDOWS\WinSxS\x86_Microsoft.VC80.CRT_1fc8b3b9a1e18e3b_8.0.50727.762_x-ww_6b128700\MSVCR80.dll - 
ChildEBP RetAddr  
WARNING: Stack unwind information not available. Following frames may be wrong.
0013d340 78138a17 ntdll!KiFastSystemCallRet
0013d3d4 605adacc MSVCR80!invoke_watson+0xe6
00000000 00000000 xul!NS_CycleCollectorSuspect_P+0x4acc


--------------------------------------------

Comment 11

9 years ago
Yohan:
.sympath SRV*C:\FxSymbolTemp*http://symbols.mozilla.org/firefox
.symfix+ C:\FxSymbolTemp
!sym noisy
.logopen c:\bug461622.log
.reload /f
.logclose
g
---- "make  error" ----
---- Debug > Break ----
.dump /maipwd /u /ba /c "bug 461622" c:\bug461622
.logappend c:\bug461622.log
kp
.logclose

use:
https://bugzilla.mozilla.org/attachment.cgi?bugid=461622&action=enter
to attach c:\bug461622.log

provide your own file sharing space (ftp...) for the other file (c:\bug461622)
and leave the url for it here.


to others
0013d3d4 605adacc MSVCR80!invoke_watson+0xe6
00000000 00000000 xul!NS_CycleCollectorSuspect_P+0x4acc

So we're somewhere after that public symbol and before the next public symbol.
someone could load ff 1.9.0.3 and find out what xul!NS_CycleCollectorSuspect_P+0x4acc is.
(Reporter)

Comment 12

9 years ago
There's some error with my IE(maybe realted to MTU) so that I can't download the symbol with WinDbg.

I think the problem might be relate to Mozilla Archive Format 0.7.1 Unofficial or GSpace because they're English-version and they're not Mozilla original plugins. 

Could I download the Symbol file manually?

Comment 13

9 years ago
sym noisy should have told you the urls it tried to retrieve, you can try to retrieve them w/ another browser,

if it's trying to retrieve, e.g. wiashext.pdb signature: 46FFDFAFB1D74C52814063414E09A4111

then the file should be placed into
c:\FxSymbolTemp\wiashext.pdb\46FFDFAFB1D74C52814063414E09A4111\
(Reporter)

Comment 14

9 years ago
I'm sorry but I didn't get your idea correctly or clearly.

Comment 15

7 years ago
timeless, can you rephrase for comment 14?
Yhn, can you retry, with newer version?  (ref comment 12)
Keywords: crash, stackwanted

Comment 16

7 years ago
yhn: just follow my instructions from comment 11, they will provide urls which we can talk you through using.
(Reporter)

Comment 17

7 years ago
(In reply to comment #16)
> yhn: just follow my instructions from comment 11, they will provide urls which
> we can talk you through using.

It seems to be hard. I updated my Firefox again and again, and the problem occurs fewer and fewer. Now it completely disappeared. 

But still, there is another problem: Firefox crash occasionally when I: 

1. using Microsoft Pinyin IME type text,
2. Keep the status when:
-->1. the pinyin has been transformed to Chinese characters;
-->2. there're still a dotted underline, that is, the Chinese text is still in "candidate state".
3. Press Ctrl+Space to cancel the IME or submit the text (though in candidate state) in the browser.
Do you have breakpad reports of that crash? Type about:crashes in the url bar to see the breakpad ids.
(Reporter)

Comment 19

7 years ago
(In reply to comment #18)
> Do you have breakpad reports of that crash? Type about:crashes in the url bar
> to see the breakpad ids.

It's unlikely to performed because the new bug do only "occationally occur", but shows a clear relation to the IME. However, there was, a possible bug report: 

http://crash-stats.mozilla.com/report/index/bp-db3a43ec-6969-466a-ace9-031d72090212
(Reporter)

Comment 20

7 years ago
(In reply to comment #19)
> (In reply to comment #18)
> > Do you have breakpad reports of that crash? Type about:crashes in the url bar
> > to see the breakpad ids.
> 
> It's unlikely to performed because the new bug do only "occationally occur",
> but shows a clear relation to the IME. However, there was, a possible bug
> report: 
> 
> http://crash-stats.mozilla.com/report/index/bp-db3a43ec-6969-466a-ace9-031d72090212

And more, if need: 

bp-b0f03874-423c-4cf1-949a-2c5da2100806	2010-8-7	14:05
bp-39e9a25d-e618-4e30-b9d3-161bb2090909	2009-9-10	13:51
bp-fb3c7947-3050-4d65-9082-47d912090803	2009-8-4	12:01
bp-9eaa51a0-9bbd-419d-9ff4-17ba42090717	2009-7-17	16:29
bp-5e3597c3-a2b8-4186-a734-1e7a62090716	2009-7-17	14:18
bp-57c14213-300e-4890-b607-461e42090621	2009-6-21	23:01
bp-f6bff19c-8d4e-444c-b198-5a2352090522	2009-5-23	14:59
bp-64980b1c-73fd-4fb2-944d-1f4642090515	2009-5-16	0:10
bp-2e14b5d8-99ce-4ffb-92e7-436032090515	2009-5-15	23:46
bp-38793cfa-c752-4e5d-9400-76f0b2090501	2009-5-1	23:03
188adcff-3bbb-4a55-8ba4-02fce653dab2	2009-3-30	17:54
bp-9c5bb2fb-f5ae-4dca-9c80-288892090313	2009-3-13	18:25
bp-86c37d92-20c6-4c1d-adde-59eb62090220	2009-2-21	12:53
bp-bf09f9b6-9aec-4a3e-8f03-020282090220	2009-2-20	20:39
bp-fae8df59-8447-40bf-aa8b-907652090216	2009-2-17	12:22
bp-db3a43ec-6969-466a-ace9-031d72090212	2009-2-13	12:19
bp-bba568da-55c3-4dea-88cd-7c1c02090204	2009-2-5	15:01
bp-bd2937a1-3f0f-4185-841d-561d02090204	2009-2-5	14:27
bp-18f3b4f8-d175-47c1-8704-4442a2090204	2009-2-5	14:25
bp-5c7689ad-8120-4f25-add5-268b22090201	2009-2-2	15:00
bp-5238582d-5131-4fea-9db9-4deb22090201	2009-2-2	14:59
bp-853b6099-6f1a-4535-9216-9232f2090201	2009-2-2	14:26
bp-5e527ff1-c4e7-4434-b372-afd8d2090118	2009-1-19	11:13
bp-32412e32-b813-442f-8d1c-cb77e2090111	2009-1-12	13:19
bp-260dc4b2-a148-4c54-807c-0d5762090111	2009-1-12	13:17
bp-3c8de35b-90b2-4fa4-b77d-78db72090110	2009-1-11	12:48
bp-ad3d40c1-7bf1-4a94-bed0-913552090107	2009-1-8	11:48
9a2ed336-c958-4c28-bc43-ceb1d1425d0f	2009-1-6	17:18
bp-c599baaf-7ba6-4b7e-96d2-ffea82090105	2009-1-5	17:36
bp-06539e12-1a1e-4bf1-ac9e-d68322081221	2008-12-21	22:43
bp-855cbd3b-566f-4b91-aeb9-0fd3d2081220	2008-12-20	18:37
bp-218d2049-8e07-46a4-95f9-069ba2081220	2008-12-20	18:34
bp-1cbc3fc8-c6be-43b4-b41a-a4ba82081220	2008-12-20	18:00
bp-6f065ada-3534-405f-9853-421aa2081209	2008-12-9	16:40
18299bd7-fbdf-44f8-94c8-371bcd4899b7	2008-11-6	16:55
e9dc9381-e959-45b7-a772-d5ebce0c73f6	2008-11-3	21:15
f7f4e57a-5b89-4e5a-99b8-97692f1d0986	2008-11-1	12:17
0f44578f-727c-499a-8218-99163aff656f	2008-10-31	23:14
4c4760e5-eec7-4530-b184-a212d23c104c	2008-10-31	23:13
716e2eaf-a8b5-425c-8f33-5383a352fb71	2008-10-31	22:59

Comment 21

7 years ago
so, the ones that don't have bp- in front of them haven't been submitted, you'd need to click on them to ask the system to send them.

Signature	BaseThreadStart
UUID	db3a43ec-6969-466a-ace9-031d72090212
Time 	2009-02-12 00:00:00.0
Uptime	1825
Last Crash	681464 seconds (1.1 weeks) before submission
Install Age	10848510 seconds (more than 3 months) since version was first installed.
Product	Firefox
Version	3.0.3
Build ID	2008092417
Branch	1.9.0
OS	Windows NT
OS Version	5.1.2600 Service Pack 2
CPU	x86
CPU Info	GenuineIntel family 15 model 2 stepping 9
Crash Reason	EXCEPTION_ACCESS_VIOLATION
Crash Address	0x3c148f48
User Comments	¥ᄒᆴ│ᄑᆵ₩ヒᄐ←゚ᄈ│ᄒモ¥ナᆬ₩ᄈユ Microsoft Pinyin IME
Processor Notes 	
Related Bugs

OPEN

        * 524944 NEW Crash at [@BaseThreadStart ] [@@0x0 | @0x10b42bbd | BaseThreadStart ] Trojan:Win32/Daonol.H [@ @0x0 | @0x10002bbd | BaseThreadStart ] [@ @0x0 | @0x10b42bc5 | BaseThreadStart ] (3.6.3)

Crashing Thread
Frame 	Module 	Signature [Expand] 	Source
0 		@0x3c148f48 	
1 	kernel32.dll 	BaseThreadStart 	

Show/hide other threads
Thread 0
Frame 	Module 	Signature [Expand] 	Source
0 	ntdll.dll 	KiFastSystemCallRet 	
1 	user32.dll 	NtUserWaitMessage 	

Filename 	Version 	Debug Identifier 	Debug Filename
Firefox.Exe 	1.9.0.3188 	31B63DEB4A554D0985CF4598DE6F324F2 	firefox.pdb
metricsloader.dll 		2E2EE66CF13042B8ACA565757CFA0FC82 	metricsloader.pdb
metrics-ff3.dll 		81848A219D854C70B21470A03A81223C1 	metrics-ff3.pdb
googletoolbarloader.dll 		C29D2F700AB84DF88893C5650D46F6472 	googletoolbarloader.pdb
googletoolbar-ff3.dll 		41766A043DD84D7295C4CF9087341CD71 	googletoolbar-ff3.pdb
avgssff.dll 	8.0.0.148 	FB3248B1C5444C0BAC7E506929BDC75F1 	avgssff.pdb
avgxpl.dll 	8.0.0.151 	8DD0B965971F412CA768F522EBEEBD151 	avgxpl.pdb
avgapix.dll 	8.0.0.164 	18E48BC90996411B94445E06C0A1A5E61 	avgapix.pdb
avgcfgx.dll 	8.0.0.170 	52C61AEB943A4077A6C66A56714F89BF1 	avgcfgx.pdb
avglogx.dll 	8.0.0.134 	1C73DF4FF5734657AF28308871DD36182 	avglogx.pdb
avglngx.dll 	8.0.0.173 	F6D3960AD8024E3FA781DD5A2D2685A51 	avglngx.pdb
avgscanx.dll 	8.0.0.134 	73E34D210BAE45A59D273FE62281B3B31 	avgscanx.dll.pdb
avgcorex.dll 	8.0.0.153 	CB85C0B57C244C48B4F7695B108891ED1 	avgcorex.pdb
avgcrlpx.dll 	8.0.0.134 	0846B4ECF750455E9A97653BDD2B52121 	avgcrlpx.pdb
avgsrmx.dll 	8.0.0.134 	EAB4575444BE4D278661147CCEE3F7A81 	avgsrmx.pdb
avgvvx.dll 	8.0.0.152 	BFB03FBF216A487D889FDD59DAD455201 	avgvvx.pdb
avgmvflx.dll 	8.0.0.134 	6020C5D4F6AD4CD6B3998A8C3B3821DA1 	avgmvflx.pdb
xpsp1res.dll 	5.1.2600.2180 		
PENCHS.DLL 	6.0.6000.16386 		
rsaenh.dll 	5.1.2600.2161 	B0FBD2BF01DA4606BC225E22B95A63A81 	rsaenh.pdb
safemon.dll 	4.2.0.1005 		
mdnsNSP.dll 	1.0.3.1 	0AF2F131804446D8BC574BC39DEF79F91 	mdnsNSP.pdb
xpsp2res.dll 	5.1.2600.2180 		
IMETIP.DLL 	12.0.6211.1000 	B43BEF1BDE0B45D295CE8418CD205F3B2 	imetip.pdb
MSCAND20.DLL 	12.0.4518.1014 	390958DB93F846398BA844249D8F4DBF2 	mscand20.pdb
IMELM.DLL 	12.0.6211.1000 	C0C9EB896D114C019CA0B63557174C652 	imelm.pdb
IMSCCFG.DLL 	12.0.4518.1014 	5E11D99571F040B0A8FD8ACF14C3786F2 	imsccfg.pdb
IMSCCORE.DLL 	12.0.6211.1000 	8CAE779770064257A1813B688ED3C6022 	imsccore.pdb
IMSCTIP.DLL 	12.0.6211.1000 	ED0E0605D86E46B9A5EC376353F70A0F2 	imsctip.pdb
Syncor11.dll 	0.1.2.3 		

It'd be nice if I could get a windbg log from you:
https://developer.mozilla.org/En/How_to_get_a_stacktrace_with_WinDbg
Keywords: stackwanted → qawanted
Summary: Firefox crashed after I type this URL with Chinese character and press Enter with the following Dump-file → Firefox crashed after I type this URL with Chinese character and press Enter [@ @0x3c148f48 | BaseThreadStart ]
Reporter, do you still get this crash with Firefox 3.6.13 or later? If so, were you able to get a windbg log for Timeless?
(Reporter)

Comment 23

7 years ago
(In reply to comment #22)
> Reporter, do you still get this crash with Firefox 3.6.13 or later? If so, were
> you able to get a windbg log for Timeless?

Now I use SeaMonkey and Opera in daily browsing, the problem does not occur. Sometimes, I use Firefox 4, too (it's very slow), but as the differences of  entire Firefox Profile and the operating system environment, it does not occur. Somedays I may import the old Profile into my Firefox to test.

Updated

7 years ago
Status: UNCONFIRMED → RESOLVED
Last Resolved: 7 years ago
Resolution: --- → WORKSFORME
(Assignee)

Updated

7 years ago
Crash Signature: [@ @0x3c148f48 | BaseThreadStart ]
You need to log in before you can comment on or make changes to this bug.